Create location
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"attributes": {
"isReturns": true
},
"locationNum": 13,
"name": "CA",
"isActive": true,
"address": {
"addressLine1": "2800 Ashcraft Court",
"addressLine2": "Fairview road",
"addressLine3": "N 9 1/2 street",
"addressLine4": "Coronado school",
"city": "Coronado",
"state": "California",
"country": "USA",
"postalCode": 92118,
"type": "2800 Ashcraft Court",
"contact": [
{
"type": "Residence",
"email": "mark@email.com",
"phone": [
{
"number": "555-555-5555",
"type": "mobile"
}
],
"name": {
"first": "John",
"middle": "Mark",
"last": "Doe"
}
}
]
},
"type": "Warehouse",
"operatingHours": [
{
"day": "Monday",
"hours": [
{
"open": "10:00",
"close": "16:00"
}
]
}
],
"coordinates": {
"type": "Point",
"coordinates": [
[
"-22.95239063733024",
"-43.21034257655916"
]
]
},
"services": {
"isCurbsidePickUp": false
}
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/location"
payload = {
"attributes": { "isReturns": True },
"locationNum": 13,
"name": "CA",
"isActive": True,
"address": {
"addressLine1": "2800 Ashcraft Court",
"addressLine2": "Fairview road",
"addressLine3": "N 9 1/2 street",
"addressLine4": "Coronado school",
"city": "Coronado",
"state": "California",
"country": "USA",
"postalCode": 92118,
"type": "2800 Ashcraft Court",
"contact": [
{
"type": "Residence",
"email": "mark@email.com",
"phone": [
{
"number": "555-555-5555",
"type": "mobile"
}
],
"name": {
"first": "John",
"middle": "Mark",
"last": "Doe"
}
}
]
},
"type": "Warehouse",
"operatingHours": [
{
"day": "Monday",
"hours": [
{
"open": "10:00",
"close": "16:00"
}
]
}
],
"coordinates": {
"type": "Point",
"coordinates": [["-22.95239063733024", "-43.21034257655916"]]
},
"services": { "isCurbsidePickUp": False }
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
attributes: {isReturns: true},
locationNum: 13,
name: 'CA',
isActive: true,
address: {
addressLine1: '2800 Ashcraft Court',
addressLine2: 'Fairview road',
addressLine3: 'N 9 1/2 street',
addressLine4: 'Coronado school',
city: 'Coronado',
state: 'California',
country: 'USA',
postalCode: 92118,
type: '2800 Ashcraft Court',
contact: [
{
type: 'Residence',
email: 'mark@email.com',
phone: [{number: '555-555-5555', type: 'mobile'}],
name: {first: 'John', middle: 'Mark', last: 'Doe'}
}
]
},
type: 'Warehouse',
operatingHours: [{day: 'Monday', hours: [{open: '10:00', close: '16:00'}]}],
coordinates: {type: 'Point', coordinates: [['-22.95239063733024', '-43.21034257655916']]},
services: {isCurbsidePickUp: false}
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/location",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attributes' => [
'isReturns' => true
],
'locationNum' => 13,
'name' => 'CA',
'isActive' => true,
'address' => [
'addressLine1' => '2800 Ashcraft Court',
'addressLine2' => 'Fairview road',
'addressLine3' => 'N 9 1/2 street',
'addressLine4' => 'Coronado school',
'city' => 'Coronado',
'state' => 'California',
'country' => 'USA',
'postalCode' => 92118,
'type' => '2800 Ashcraft Court',
'contact' => [
[
'type' => 'Residence',
'email' => 'mark@email.com',
'phone' => [
[
'number' => '555-555-5555',
'type' => 'mobile'
]
],
'name' => [
'first' => 'John',
'middle' => 'Mark',
'last' => 'Doe'
]
]
]
],
'type' => 'Warehouse',
'operatingHours' => [
[
'day' => 'Monday',
'hours' => [
[
'open' => '10:00',
'close' => '16:00'
]
]
]
],
'coordinates' => [
'type' => 'Point',
'coordinates' => [
[
'-22.95239063733024',
'-43.21034257655916'
]
]
],
'services' => [
'isCurbsidePickUp' => false
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/location"
payload := strings.NewReader("{\n \"attributes\": {\n \"isReturns\": true\n },\n \"locationNum\": 13,\n \"name\": \"CA\",\n \"isActive\": true,\n \"address\": {\n \"addressLine1\": \"2800 Ashcraft Court\",\n \"addressLine2\": \"Fairview road\",\n \"addressLine3\": \"N 9 1/2 street\",\n \"addressLine4\": \"Coronado school\",\n \"city\": \"Coronado\",\n \"state\": \"California\",\n \"country\": \"USA\",\n \"postalCode\": 92118,\n \"type\": \"2800 Ashcraft Court\",\n \"contact\": [\n {\n \"type\": \"Residence\",\n \"email\": \"mark@email.com\",\n \"phone\": [\n {\n \"number\": \"555-555-5555\",\n \"type\": \"mobile\"\n }\n ],\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Mark\",\n \"last\": \"Doe\"\n }\n }\n ]\n },\n \"type\": \"Warehouse\",\n \"operatingHours\": [\n {\n \"day\": \"Monday\",\n \"hours\": [\n {\n \"open\": \"10:00\",\n \"close\": \"16:00\"\n }\n ]\n }\n ],\n \"coordinates\": {\n \"type\": \"Point\",\n \"coordinates\": [\n [\n \"-22.95239063733024\",\n \"-43.21034257655916\"\n ]\n ]\n },\n \"services\": {\n \"isCurbsidePickUp\": false\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod01.oms.fabric.inc/api/v2/location")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attributes\": {\n \"isReturns\": true\n },\n \"locationNum\": 13,\n \"name\": \"CA\",\n \"isActive\": true,\n \"address\": {\n \"addressLine1\": \"2800 Ashcraft Court\",\n \"addressLine2\": \"Fairview road\",\n \"addressLine3\": \"N 9 1/2 street\",\n \"addressLine4\": \"Coronado school\",\n \"city\": \"Coronado\",\n \"state\": \"California\",\n \"country\": \"USA\",\n \"postalCode\": 92118,\n \"type\": \"2800 Ashcraft Court\",\n \"contact\": [\n {\n \"type\": \"Residence\",\n \"email\": \"mark@email.com\",\n \"phone\": [\n {\n \"number\": \"555-555-5555\",\n \"type\": \"mobile\"\n }\n ],\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Mark\",\n \"last\": \"Doe\"\n }\n }\n ]\n },\n \"type\": \"Warehouse\",\n \"operatingHours\": [\n {\n \"day\": \"Monday\",\n \"hours\": [\n {\n \"open\": \"10:00\",\n \"close\": \"16:00\"\n }\n ]\n }\n ],\n \"coordinates\": {\n \"type\": \"Point\",\n \"coordinates\": [\n [\n \"-22.95239063733024\",\n \"-43.21034257655916\"\n ]\n ]\n },\n \"services\": {\n \"isCurbsidePickUp\": false\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/location")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attributes\": {\n \"isReturns\": true\n },\n \"locationNum\": 13,\n \"name\": \"CA\",\n \"isActive\": true,\n \"address\": {\n \"addressLine1\": \"2800 Ashcraft Court\",\n \"addressLine2\": \"Fairview road\",\n \"addressLine3\": \"N 9 1/2 street\",\n \"addressLine4\": \"Coronado school\",\n \"city\": \"Coronado\",\n \"state\": \"California\",\n \"country\": \"USA\",\n \"postalCode\": 92118,\n \"type\": \"2800 Ashcraft Court\",\n \"contact\": [\n {\n \"type\": \"Residence\",\n \"email\": \"mark@email.com\",\n \"phone\": [\n {\n \"number\": \"555-555-5555\",\n \"type\": \"mobile\"\n }\n ],\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Mark\",\n \"last\": \"Doe\"\n }\n }\n ]\n },\n \"type\": \"Warehouse\",\n \"operatingHours\": [\n {\n \"day\": \"Monday\",\n \"hours\": [\n {\n \"open\": \"10:00\",\n \"close\": \"16:00\"\n }\n ]\n }\n ],\n \"coordinates\": {\n \"type\": \"Point\",\n \"coordinates\": [\n [\n \"-22.95239063733024\",\n \"-43.21034257655916\"\n ]\n ]\n },\n \"services\": {\n \"isCurbsidePickUp\": false\n }\n}"
response = http.request(request)
puts response.read_body{
"attributes": {
"isReturns": true
},
"id": "622fae9a065d9e62a4029f79",
"locationNum": 13,
"name": "CA",
"isActive": true,
"address": {
"addressLine1": "2800 Ashcraft Court",
"addressLine2": "Fairview road",
"addressLine3": "N 9 1/2 street",
"addressLine4": "Coronado school",
"city": "Coronado",
"state": "California",
"country": "USA",
"postalCode": 92118,
"type": "2800 Ashcraft Court",
"contact": [
{
"type": "Residence",
"email": "mark@email.com",
"phone": [
{
"number": "555-555-5555",
"type": "mobile"
}
],
"name": {
"first": "John",
"middle": "Mark",
"last": "Doe"
}
}
]
},
"type": "warehouse",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"operatingHours": [
{
"day": "Monday",
"hours": [
{
"open": "10:00",
"close": "16:00",
"type": "OPEN"
}
]
}
],
"coordinates": {
"type": "Point",
"coordinates": [
[
"-22.95239063733024",
"-43.21034257655916"
]
]
},
"services": {
"isCurbsidePickUp": false
}
}{
"message": "Invalid payload or parameter"
}{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}{
"message": "Resource conflict. If the issue persists please contact support@fabric.inc."
}{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Location
Create location
Creates a location with all of its details, such as location number, name, address, operating hours, operation type, location coordinates, and so on.
POST
/
location
Create location
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"attributes": {
"isReturns": true
},
"locationNum": 13,
"name": "CA",
"isActive": true,
"address": {
"addressLine1": "2800 Ashcraft Court",
"addressLine2": "Fairview road",
"addressLine3": "N 9 1/2 street",
"addressLine4": "Coronado school",
"city": "Coronado",
"state": "California",
"country": "USA",
"postalCode": 92118,
"type": "2800 Ashcraft Court",
"contact": [
{
"type": "Residence",
"email": "mark@email.com",
"phone": [
{
"number": "555-555-5555",
"type": "mobile"
}
],
"name": {
"first": "John",
"middle": "Mark",
"last": "Doe"
}
}
]
},
"type": "Warehouse",
"operatingHours": [
{
"day": "Monday",
"hours": [
{
"open": "10:00",
"close": "16:00"
}
]
}
],
"coordinates": {
"type": "Point",
"coordinates": [
[
"-22.95239063733024",
"-43.21034257655916"
]
]
},
"services": {
"isCurbsidePickUp": false
}
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/location"
payload = {
"attributes": { "isReturns": True },
"locationNum": 13,
"name": "CA",
"isActive": True,
"address": {
"addressLine1": "2800 Ashcraft Court",
"addressLine2": "Fairview road",
"addressLine3": "N 9 1/2 street",
"addressLine4": "Coronado school",
"city": "Coronado",
"state": "California",
"country": "USA",
"postalCode": 92118,
"type": "2800 Ashcraft Court",
"contact": [
{
"type": "Residence",
"email": "mark@email.com",
"phone": [
{
"number": "555-555-5555",
"type": "mobile"
}
],
"name": {
"first": "John",
"middle": "Mark",
"last": "Doe"
}
}
]
},
"type": "Warehouse",
"operatingHours": [
{
"day": "Monday",
"hours": [
{
"open": "10:00",
"close": "16:00"
}
]
}
],
"coordinates": {
"type": "Point",
"coordinates": [["-22.95239063733024", "-43.21034257655916"]]
},
"services": { "isCurbsidePickUp": False }
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
attributes: {isReturns: true},
locationNum: 13,
name: 'CA',
isActive: true,
address: {
addressLine1: '2800 Ashcraft Court',
addressLine2: 'Fairview road',
addressLine3: 'N 9 1/2 street',
addressLine4: 'Coronado school',
city: 'Coronado',
state: 'California',
country: 'USA',
postalCode: 92118,
type: '2800 Ashcraft Court',
contact: [
{
type: 'Residence',
email: 'mark@email.com',
phone: [{number: '555-555-5555', type: 'mobile'}],
name: {first: 'John', middle: 'Mark', last: 'Doe'}
}
]
},
type: 'Warehouse',
operatingHours: [{day: 'Monday', hours: [{open: '10:00', close: '16:00'}]}],
coordinates: {type: 'Point', coordinates: [['-22.95239063733024', '-43.21034257655916']]},
services: {isCurbsidePickUp: false}
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/location",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attributes' => [
'isReturns' => true
],
'locationNum' => 13,
'name' => 'CA',
'isActive' => true,
'address' => [
'addressLine1' => '2800 Ashcraft Court',
'addressLine2' => 'Fairview road',
'addressLine3' => 'N 9 1/2 street',
'addressLine4' => 'Coronado school',
'city' => 'Coronado',
'state' => 'California',
'country' => 'USA',
'postalCode' => 92118,
'type' => '2800 Ashcraft Court',
'contact' => [
[
'type' => 'Residence',
'email' => 'mark@email.com',
'phone' => [
[
'number' => '555-555-5555',
'type' => 'mobile'
]
],
'name' => [
'first' => 'John',
'middle' => 'Mark',
'last' => 'Doe'
]
]
]
],
'type' => 'Warehouse',
'operatingHours' => [
[
'day' => 'Monday',
'hours' => [
[
'open' => '10:00',
'close' => '16:00'
]
]
]
],
'coordinates' => [
'type' => 'Point',
'coordinates' => [
[
'-22.95239063733024',
'-43.21034257655916'
]
]
],
'services' => [
'isCurbsidePickUp' => false
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/location"
payload := strings.NewReader("{\n \"attributes\": {\n \"isReturns\": true\n },\n \"locationNum\": 13,\n \"name\": \"CA\",\n \"isActive\": true,\n \"address\": {\n \"addressLine1\": \"2800 Ashcraft Court\",\n \"addressLine2\": \"Fairview road\",\n \"addressLine3\": \"N 9 1/2 street\",\n \"addressLine4\": \"Coronado school\",\n \"city\": \"Coronado\",\n \"state\": \"California\",\n \"country\": \"USA\",\n \"postalCode\": 92118,\n \"type\": \"2800 Ashcraft Court\",\n \"contact\": [\n {\n \"type\": \"Residence\",\n \"email\": \"mark@email.com\",\n \"phone\": [\n {\n \"number\": \"555-555-5555\",\n \"type\": \"mobile\"\n }\n ],\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Mark\",\n \"last\": \"Doe\"\n }\n }\n ]\n },\n \"type\": \"Warehouse\",\n \"operatingHours\": [\n {\n \"day\": \"Monday\",\n \"hours\": [\n {\n \"open\": \"10:00\",\n \"close\": \"16:00\"\n }\n ]\n }\n ],\n \"coordinates\": {\n \"type\": \"Point\",\n \"coordinates\": [\n [\n \"-22.95239063733024\",\n \"-43.21034257655916\"\n ]\n ]\n },\n \"services\": {\n \"isCurbsidePickUp\": false\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod01.oms.fabric.inc/api/v2/location")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attributes\": {\n \"isReturns\": true\n },\n \"locationNum\": 13,\n \"name\": \"CA\",\n \"isActive\": true,\n \"address\": {\n \"addressLine1\": \"2800 Ashcraft Court\",\n \"addressLine2\": \"Fairview road\",\n \"addressLine3\": \"N 9 1/2 street\",\n \"addressLine4\": \"Coronado school\",\n \"city\": \"Coronado\",\n \"state\": \"California\",\n \"country\": \"USA\",\n \"postalCode\": 92118,\n \"type\": \"2800 Ashcraft Court\",\n \"contact\": [\n {\n \"type\": \"Residence\",\n \"email\": \"mark@email.com\",\n \"phone\": [\n {\n \"number\": \"555-555-5555\",\n \"type\": \"mobile\"\n }\n ],\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Mark\",\n \"last\": \"Doe\"\n }\n }\n ]\n },\n \"type\": \"Warehouse\",\n \"operatingHours\": [\n {\n \"day\": \"Monday\",\n \"hours\": [\n {\n \"open\": \"10:00\",\n \"close\": \"16:00\"\n }\n ]\n }\n ],\n \"coordinates\": {\n \"type\": \"Point\",\n \"coordinates\": [\n [\n \"-22.95239063733024\",\n \"-43.21034257655916\"\n ]\n ]\n },\n \"services\": {\n \"isCurbsidePickUp\": false\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/location")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attributes\": {\n \"isReturns\": true\n },\n \"locationNum\": 13,\n \"name\": \"CA\",\n \"isActive\": true,\n \"address\": {\n \"addressLine1\": \"2800 Ashcraft Court\",\n \"addressLine2\": \"Fairview road\",\n \"addressLine3\": \"N 9 1/2 street\",\n \"addressLine4\": \"Coronado school\",\n \"city\": \"Coronado\",\n \"state\": \"California\",\n \"country\": \"USA\",\n \"postalCode\": 92118,\n \"type\": \"2800 Ashcraft Court\",\n \"contact\": [\n {\n \"type\": \"Residence\",\n \"email\": \"mark@email.com\",\n \"phone\": [\n {\n \"number\": \"555-555-5555\",\n \"type\": \"mobile\"\n }\n ],\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Mark\",\n \"last\": \"Doe\"\n }\n }\n ]\n },\n \"type\": \"Warehouse\",\n \"operatingHours\": [\n {\n \"day\": \"Monday\",\n \"hours\": [\n {\n \"open\": \"10:00\",\n \"close\": \"16:00\"\n }\n ]\n }\n ],\n \"coordinates\": {\n \"type\": \"Point\",\n \"coordinates\": [\n [\n \"-22.95239063733024\",\n \"-43.21034257655916\"\n ]\n ]\n },\n \"services\": {\n \"isCurbsidePickUp\": false\n }\n}"
response = http.request(request)
puts response.read_body{
"attributes": {
"isReturns": true
},
"id": "622fae9a065d9e62a4029f79",
"locationNum": 13,
"name": "CA",
"isActive": true,
"address": {
"addressLine1": "2800 Ashcraft Court",
"addressLine2": "Fairview road",
"addressLine3": "N 9 1/2 street",
"addressLine4": "Coronado school",
"city": "Coronado",
"state": "California",
"country": "USA",
"postalCode": 92118,
"type": "2800 Ashcraft Court",
"contact": [
{
"type": "Residence",
"email": "mark@email.com",
"phone": [
{
"number": "555-555-5555",
"type": "mobile"
}
],
"name": {
"first": "John",
"middle": "Mark",
"last": "Doe"
}
}
]
},
"type": "warehouse",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"operatingHours": [
{
"day": "Monday",
"hours": [
{
"open": "10:00",
"close": "16:00",
"type": "OPEN"
}
]
}
],
"coordinates": {
"type": "Point",
"coordinates": [
[
"-22.95239063733024",
"-43.21034257655916"
]
]
},
"services": {
"isCurbsidePickUp": false
}
}{
"message": "Invalid payload or parameter"
}{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}{
"message": "Resource conflict. If the issue persists please contact support@fabric.inc."
}{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Authorizations
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Location details
Response
Success
This object contains location details
Was this page helpful?
